Subject: Re: [PATCH 5/6] e1000: Secondary unicast address support

From: Ben Greear <[email-masked]>
Date: Tue, 13 Nov 2007 17:05:27 -0800

Krzysztof Oledzki wrote:

> I'm afraid mac-vlans is not a solution here. Having 2x more interfaces 
> (ex. 2000 instead of 1000) makes everything (especially routing, 
> firewalling and QoS) much more complicated. It would be nice to have 
> something like "ip addr add a.b.c.d/24 dev vlan32 hwaddress 
> aa:bb:cc:dd:ee:ff".

I'll take your word for it, though I have had good luck using mac-vlans
in my own app.  They are nice because the are full-fledged interfaces,
so you can treat them basically as .1q vlans or ethernet devices, including
all the routing and firewalling tricks.

> BTW: is it possible to stack mac-vlans ontop of .1Q vlans?

I believe it will work fine.  You could probably also stack .1q
VLANs on top of mac-vlans so long as you use the same MAC for the VLANs as for
the mac-vlan dev.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com